--- /dev/null
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2008-2010 OpenWrt.org
+
+START=97
+start() {
+ if ! [ -c /dev/watchdog -a -x /sbin/watchdog ]; then
+ echo "WARNING: Watchdog not available. System will reboot soon!"
+ else
+ /sbin/watchdog -T 63 -t 53 /dev/watchdog
+ fi
+}
+
+stop() {
+ killall -q watchdog
+}
--- /dev/null
+::sysinit:/etc/init.d/rcS S boot
+::shutdown:/etc/init.d/rcS K stop
+tts/0::askfirst:/bin/ash --login
+ttyS2::askfirst:/bin/ash --login
+tty1::askfirst:/bin/ash --login